﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyCashFlowStatementViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyCashFlowStatement", FormMethod.Post, new { id = "CompanyCashFlowStatement", name = "CompanyCashFlowStatement", @class = "" }))
{
    <div id="content" class="content">
        <div class="section-with-top-border">
            <div class="row">
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-with-top-border p-b-10 p-t-25">
            @if (ViewBag.Message != string.Empty)
            {
                <div class="alert alert-danger alert-bordered show m-b-10">
                    <strong>Info!</strong>
                    @ViewBag.Message
                    <span class="close" data-dismiss="alert">×</span>
                </div>
            }

            @Html.HiddenFor(Model => Model.CompanyId)
            @Html.HiddenFor(Model => Model.ProjectId)

            <div class="section-with-top-border p-b-10 p-t-20">
                <!-- begin row -->
                <div class="row">
                    <!-- begin col-8 -->
                    <div class="col-md-12">
                        <!-- begin panel -->
                        <div class="panel">
                            <div class="table-responsive">
                                <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle product-service-table">
                                    <thead>
                                        <tr class="inverse">
                                            <th class="text-center"></th>
                                            @for (int k = 0; k < Model.YearList.Count; k++)
                                            {
                                                <th class="text-center">@Model.YearList[k]</th>
                                            }

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                Operating Activities:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OperatingActivities_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Adjustments to operating activities:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AdjustmentsToOperatingActivities_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Depreciation and amortization
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DepreciationAndAmortization</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Impairments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Impairments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Loss on sale of assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().LossOnSaleOfAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other losses/(gains)
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherLossesOrGains</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Deferred taxes
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DeferredTaxes</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Share-based compensation expense
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ShareBasedCompensationExpense</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Benefit plan contributions
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().BenefitPlanContributions</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other adjustments, net
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherAdjustmentsNet</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other changes in assets and liabilities, net of acquisitions and divestitures:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherChangesInAssetsAndLiabilitiesNetOfAcquisitionsAndDistitures_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Accounts receivable
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AccountsReceivable</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Accounts Payable
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AccountsPayable</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other liabilities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherLiabilities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other tax accounts, net
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherTaxAccountsNet</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net cash provided by/(used in) Operating activities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetCashProvidedByOrUsedInOperatingActivities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Investing Activities:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().InvestingActivities_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Purchases of property, plant and equipment
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PurchasesOfPropertyPlantAndEquipment</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Purchases of short-term investments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PurchasesOfShortTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Sale of short-term investments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().SaleOfShortTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Redemptions of short-term investments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().RedemptionsOfShortTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Purchases of long-term investments

                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PurchasesOfLongTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Sale of long-term investments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().SaleOfShortTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Business acquisitions
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().BusinessAcquisitions</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Acquisitions of intangible assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AcquisitionsOfIntangibleAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other investing activities, net
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherInvestingActivitiesNet</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net cash provided by/(used in) investing activities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetCashProvidedByOrUsedInInvestingActivities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Financing Activities:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().FinancingActivities_ </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Proceeds from short-term debt
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ProceedsFromShortTermDebt</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Principal payments on short-term debt
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PrincipalPaymentsOnShortTermDebt</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net (payments on)/proceeds from short-term borrowings with original maturities of three months or less
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetPaymentsonOrProceedsFromShortTermBorrowingsWithOrigilMaturitiesOfThreeMonthsOrLess </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Issuance of long-term debt
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().IssuanceOfLongTermDebt</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Principal payments on long-term debt
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PrincipalPaymentsOnLongTermDebt </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Purchases of common stock
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PurchasesOfCommonStock</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Common stock repurchased
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CommonStockRepurchased</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Cash dividends paid
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CashDividendsPaid</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Proceeds from exercise of stock options
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ProceedsFromExerciseOfStockOptions </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other financing activities, net
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherFinancingActivitiesNet</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Capital expenditure
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CapitalExpenditure</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net cash provided by/(used in) financing activities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetCashProvidedByOrUsedInFinancingActivities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Foreign exchange impact
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ForeignExchangeImpact</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Decrease in cash and cash equivalents
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DecreaseInCashAndCashEquivalents</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Opening balance of Cash and cash equivalents
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OpeningBalanceOfCashAndCashEquivalents</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Closing balance of Cash and cash equivalents
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ClosingBalanceOfCashAndCashEquivalents</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Cash paid (received) during the period for:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CashPaidReceivedDuringThePeriodFor_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Income taxes
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().IncomeTaxes</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Interest rate hedges
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyCashFlowStatementViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().InterestRateHedges</td>
                                            }
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- end panel -->
                    </div>
                    <!-- end col-8 -->
                    <!-- end col-4 -->
                </div>
                <!-- end row -->
            </div>

        </div>
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
    </div>

}
